Synq Docs
Management APIUsers

Make a user

A user with an email, who signs in with it by any email method. Needs `org.users.edit`. Recorded as `user.created`.

POST/v1/orgs/{org}/brands/{brand}/users

A user with an email, who signs in with it by any email method. Needs org.users.edit. Recorded as user.created.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
brand*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orgs/string/brands/string/users" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "id": "string",  "email": "string",  "email_verified": true,  "username": "string",  "name": "string",  "given_name": "string",  "family_name": "string",  "picture": "string",  "locale": "string",  "wallets": [    "string"  ],  "disabled": true,  "deletion_scheduled_for": "2019-08-24T14:15:22Z",  "last_sign_in_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "metadata": {    "property1": null,    "property2": null  },  "identities": [    {      "id": "string",      "provider": "string",      "subject": "string",      "handle": "string",      "details": {        "account_type": "string",        "created_at": "2019-08-24T14:15:22Z",        "public_repos": 0,        "followers": 0,        "email_verified": true,        "workspace_domain": "string",        "test": true      },      "details_read_at": "2019-08-24T14:15:22Z",      "label": "string",      "primary": true,      "last_used_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "sessions": [    {      "id": "string",      "signed_in_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "apps": [        "string"      ],      "via": "hosted"    }  ]}